//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace saejReservaBackend
{
    using System;
    using System.Collections.Generic;
    
    public partial class tblUsuario
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public tblUsuario()
        {
            this.tblUsuarioSala = new HashSet<tblUsuarioSala>();
        }
    
        public string id { get; set; }
        public string UsuarioTipoId { get; set; }
        public string UsuarioNombre { get; set; }
        public string UsuarioApellido { get; set; }
        public string UsuarioCodigo { get; set; }
        public string UsuarioEmail { get; set; }
        public string UsuarioPassword { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<tblUsuarioSala> tblUsuarioSala { get; set; }
    }
}
